=== debian/changelog ===
okular (4:19.12.3-2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux--this is last version that will build on Buster's Qt5.
  * Bump the libpoppler-qt5-dev build dependency to 0.73.0, to make sure
     okular is built with all the support bits for verifying signed and
     timestamped PDF documents.
  * Restore libfreetype6-dev as alternate BD.
  * Rework recommended and suggested packages to better fit MX.
  * Add fix-docbuild.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 13 Jul 2021 11:54:57 -0700

okular (4:19.12.3-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 6a93a033b4f9248b3cd4d04689b8391df754e244 to not
    execute local binaries via action links (CVE-2020-9359); patch
    upstream_Document-processAction-If-the-url-points-to-a-binary.patch.
    (Closes: #954891)

 -- Pino Toscano <pino@debian.org>  Wed, 25 Mar 2020 07:06:56 +0100

okular (4:19.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Slightly improve the description of okular, and okular-extra-backends.

 -- Pino Toscano <pino@debian.org>  Sun, 08 Mar 2020 09:04:21 +0100

okular (4:19.12.2-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable (see #952886).
  * Replace the transitional libfreetype6-dev build dependency with
    libfreetype-dev.
  * Merge changes from 4:17.12.2-2.1, and 4:17.12.2-2.2:
    - drop patch Fix-path-traversal-issue-when-extracting-an-.okular-.patch,
      backported from upstream

 -- Pino Toscano <pino@debian.org>  Mon, 02 Mar 2020 19:55:41 +0100

okular (4:19.12.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump extra-cmake-modules to 5.33.0
    - bump Qt packages to 5.9.0
    - bump KF packages to 5.44.0
    - remove unused libx11-dev
    - explicitly add gettext
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Remove unused okular-dev.acc.in file.
  * Add the configuration for the CI on salsa.
  * Update install files.
  * Unregister okular.categories as conffile, as it is no more in /etc.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - explicitly link in as-needed mode
    - call the right debhelper command instead of $(overridden_command)
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
    - drop the dh_makeshlibs override, as -V is done by default
  * Remove extra quoting around %s in mailcap entries.
  * Remove not-installed file, no more needed now.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 01 Mar 2020 11:57:33 +0100
